Subject: Help: Information of some plants

From: Wendy <[email-masked]>
Date: Mon, 10 Jun 1996 14:41:41 -0700

Hi,

I am working on a database which requires the information about trees.
Does any one know the flowering period of Cupressus sempervirens
(Italia/medirerranean/funeral cypress), Arecastrum romanzoffianum (Queen
Palm), Juniperus Sabinoides (Mountain Juniper) and Prosopis juliflora
(Melaleuca)?

Many Thanks!

Wendy